Repair proposals
List repair proposals
List repair proposals.
GET
/
v1
/
proposals
List repair proposals
curl --request GET \
--url https://api.getmillwork.dev/v1/proposals \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"next_cursor": "<string>",
"proposals": [
{
"arm_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"diff": [
{
"baseline_hash": "<string>",
"candidate_hash": "<string>",
"region": "<string>",
"candidate_content": "<string>"
}
],
"execution_id": "<string>",
"proposal_id": "<string>",
"status": "pending",
"verifier_evidence": {
"baseline": {
"is_correct": true,
"quality_score": 123,
"anchor_results": {},
"named_metrics": {}
},
"candidate": {
"is_correct": true,
"quality_score": 123,
"anchor_results": {},
"named_metrics": {}
}
},
"on_approve": {
"new_artifact_hash": "<string>",
"new_version": "<string>"
}
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Query Parameters
Available options:
pending, approved, rejected, expired Required range:
1 <= x <= 200⌘I
List repair proposals
curl --request GET \
--url https://api.getmillwork.dev/v1/proposals \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"next_cursor": "<string>",
"proposals": [
{
"arm_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"diff": [
{
"baseline_hash": "<string>",
"candidate_hash": "<string>",
"region": "<string>",
"candidate_content": "<string>"
}
],
"execution_id": "<string>",
"proposal_id": "<string>",
"status": "pending",
"verifier_evidence": {
"baseline": {
"is_correct": true,
"quality_score": 123,
"anchor_results": {},
"named_metrics": {}
},
"candidate": {
"is_correct": true,
"quality_score": 123,
"anchor_results": {},
"named_metrics": {}
}
},
"on_approve": {
"new_artifact_hash": "<string>",
"new_version": "<string>"
}
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}